## EvSidebarAttachments EvSidebarAttachments |

## Functions

GtkWidget * | ev_sidebar_attachments_new ()

## Signals

void | popup | Action

## Types and Values

struct | EvSidebarAttachments
struct | EvSidebarAttachmentsClass
| EvSidebarAttachmentsPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EvSidebarAttachments

## Implemented Interfaces

EvSidebarAttachments implements AtkImplementorIface, GtkBuildable, GtkOrientable and EvSidebarPage.

## Description

## Functions

### ev_sidebar_attachments_new ()

    GtkWidget *
    ev_sidebar_attachments_new (void);

## Types and Values

### struct EvSidebarAttachments

    struct EvSidebarAttachments;

### struct EvSidebarAttachmentsClass

    struct EvSidebarAttachmentsClass {
    	GtkVBoxClass base_class;

    	/* Signals */
    	void (*popup_menu) (EvSidebarAttachments *ev_attachbar,
    			    EvAttachment    *attachment);
    };

### EvSidebarAttachmentsPrivate

    typedef struct _EvSidebarAttachmentsPrivate EvSidebarAttachmentsPrivate;

## Signal Details

### The `“popup”` signal

    void
    user_function (EvSidebarAttachments *evsidebarattachments,
                   gpointer              arg1,
                   gpointer              user_data)

Flags: Action